Package org.bukkit.entity

# Enum Class SpawnCategory

java.lang.Object
java.lang.Enum<SpawnCategory>
org.bukkit.entity.SpawnCategory

All Implemented Interfaces:
  `Serializable`, `Comparable<SpawnCategory>`, `Constable`

public enum SpawnCategory extends Enum<SpawnCategory>
Represents groups of entities with shared spawn behaviors and mob caps.

See Also:
  - Minecraft Wiki

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`AMBIENT`
Entities related to Ambient, eg: Bat.
`ANIMAL`
Entities related to Animals, eg: Strider, Cow, Turtle, etc.
`AXOLOTL`
All the Axolotl are represented by this Category.
`MISC`
Entities not related to a mob, eg: Player, ArmorStand, Boat, etc.
`MONSTER`
Entities related to Monsters, eg: Witch, Zombie, Creeper, etc.
`WATER_AMBIENT`
Entities related to Water Ambient, eg: Cod, PufferFish, Tropical Fish, Salmon, etc.
`WATER_ANIMAL`
Entities related to Water Animals, eg: Squid or Dolphin.
`WATER_UNDERGROUND_CREATURE`
Entities related to Water Underground, eg: Glow Squid.

## Method Summary

Modifier and Type
Method
Description
`static SpawnCategory`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static SpawnCategory[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### MONSTER

public static final SpawnCategory MONSTER
Entities related to Monsters, eg: Witch, Zombie, Creeper, etc.

### ANIMAL

public static final SpawnCategory ANIMAL
Entities related to Animals, eg: Strider, Cow, Turtle, etc.

### WATER_ANIMAL

public static final SpawnCategory WATER_ANIMAL
Entities related to Water Animals, eg: Squid or Dolphin.

### WATER_AMBIENT

public static final SpawnCategory WATER_AMBIENT
Entities related to Water Ambient, eg: Cod, PufferFish, Tropical Fish, Salmon, etc.

### WATER_UNDERGROUND_CREATURE

public static final SpawnCategory WATER_UNDERGROUND_CREATURE
Entities related to Water Underground, eg: Glow Squid.

### AMBIENT

public static final SpawnCategory AMBIENT
Entities related to Ambient, eg: Bat.

### AXOLOTL

public static final SpawnCategory AXOLOTL
All the Axolotl are represented by this Category.

### MISC

public static final SpawnCategory MISC
Entities not related to a mob, eg: Player, ArmorStand, Boat, etc.

## Method Details

### values

public static SpawnCategory[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static SpawnCategory valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null